Subject: [dhcwg] [Technical Errata Reported] RFC2131 (5100)

From: RFC Errata System <[email-masked]>
Date: Mon, 28 Aug 2017 19:57:25 -0700 (PDT)

The following errata report has been submitted for RFC2131,
"Dynamic Host Configuration Protocol".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5100

--------------------------------------
Type: Technical
Reported by: Fan Wei <[email-masked]>

Section: 4.1

Original Text
-------------
Normally, DHCP servers and BOOTP relay agents attempt to deliver
DHCPOFFER, DHCPACK and DHCPNAK messages directly to the client using
uicast delivery.

Corrected Text
--------------
Normally, DHCP servers and BOOTP relay agents attempt to deliver
DHCPOFFER, DHCPACK messages directly to the client using
uicast delivery.

Notes
-----
According to prior part description in section 4.1: "In all cases, when ’giaddr’ is zero, the server broadcasts any DHCPNAK messages to 0xffffffff.", the DHCP server should not send DHCPNAK in unicast to client unless 'giaddr' is not zero.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC2131 (no draft string recorded)
--------------------------------------
Title               : Dynamic Host Configuration Protocol
Publication Date    : March 1997
Author(s)           : R. Droms
Category            : DRAFT STANDARD
Source              : Dynamic Host Configuration
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: "Niall O'Reilly" <[email-masked]>
Date: Tue, 29 Aug 2017 12:31:38 +0100

> uicast delivery.

  Typo: s/uicast/unicast/

  Best regards,
  Niall O'Reilly

---

From: Megan Ferguson <[email-masked]>
Date: Tue, 29 Aug 2017 10:41:59 -0700

Niall,

We have updated to use “unicast” in the New text as requested.  

Thank you.

RFC Editor/mf